# Run activation

Run an activation by specifying its ID and segment ID.

Endpoint: POST /entities/segments/{segmentId}/syndications/{id}/run
Version: 1.0.0

## Path parameters:

  - `segmentId` (integer, required)
    Segment to run Activation

  - `id` (integer, required)
    Activation id

## Response 200 fields (application/vnd.treasuredata.v1+json):

  - `id` (string)
    workflowAttemptId is used as id

  - `type` (string)
    Enum: "execution-syndication"

  - `attributes` (object)

  - `attributes.workflowId` (string, required)

  - `attributes.workflowSessionId` (string, required)

  - `attributes.createdAt` (string, required)

  - `attributes.finishedAt` (string,null, required)

  - `attributes.status` (string, required)
    Enum: "success", "canceled", "error", "canceling", "blocked", "queued", "running"

  - `attributes.workflowAttemptId` (string, required)

  - `attributes.syndicationId` (string)


